#include <Arduino.h>
#include "wdt.h"

// make WDT_ENABLE_PIN input pulled up so it's always high
void WDT_disable(void) {
    pinMode(WDT_ENABLE_PIN, INPUT);
    digitalWrite(WDT_ENABLE_PIN, HIGH);
    Serial.println(F("wdt off"));
}

// briefly pulse WDT_ENABLE_PIN LOW to set the flip flop
void WDT_enable(void) {
    WDT_reset();
    pinMode(WDT_ENABLE_PIN, OUTPUT);
    digitalWrite(WDT_ENABLE_PIN, LOW);
    delay(1);
    pinMode(WDT_ENABLE_PIN, INPUT);
    digitalWrite(WDT_ENABLE_PIN, HIGH);
    Serial.println(F("wdt on"));
}

void WDT_reset(void) {
    digitalWrite(WDT_RESET_PIN, HIGH);
    pinMode(WDT_RESET_PIN, OUTPUT);
    digitalWrite(WDT_RESET_PIN, LOW);
    delay(2);
    digitalWrite(WDT_RESET_PIN, HIGH);
    pinMode(WDT_RESET_PIN, INPUT);
}
